NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.CAE.MappedMeshBuilder Class Reference

Represents a Mapped Mesh Builder. More...

Inheritance diagram for NXOpen.CAE.MappedMeshBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  MidNodeType { Mixed, Curved, Straight }
 Mid-node placement options More...
 

Public Member Functions

unsafe double AutoSize ()
 Auto-generated element size More...
 
unsafe void ChangeEdgeDensity (NXOpen.NXObject edge, int numberElements)
 Returns the edge density More...
 
unsafe void ChangeEdgeDensityObject (NXOpen.NXObject[] pEdgeTags, int numberElements)
 Returns selected edge densities as one object More...
 
unsafe NXOpen.NXObject[] GetCornerData (out NXOpen.NXObject face)
 Returns the corner data More...
 
unsafe void PreviewMesh ()
 Previews the mapped mesh for further edit. More...
 
unsafe void SetCornerData (NXOpen.NXObject face, NXOpen.NXObject[] vertexList)
 Sets the corner data. More...
 
unsafe void SetCornerDataWithEdges (NXOpen.NXObject face, int[] start, NXOpen.NXObject[] edge)
 Sets the corner data using array of edges and int array consists of if user want start of an edge or an end of an edge. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool AttemptMultiblockDecompositionOption [get, set]
 Returns or sets the mapped mesh multiblock option More...
 
unsafe bool EccAuto [get, set]
 Returns or sets the ECC automatic mode option More...
 
unsafe string EccName [get, set]
 Returns or sets the ECC name More...
 
unsafe bool EdgeMatchOption [get, set]
 Returns or sets the edge match toggle More...
 
unsafe double EdgeMatchTolerance [get, set]
 Returns or sets the edge match tolerance More...
 
unsafe double EdgeMergeAngle [get, set]
 Returns or sets the edge merge angle More...
 
unsafe double ElementSize [get, set]
 Returns or sets the element size More...
 
unsafe NXOpen.Expression ElementSizeExpression [get]
 Returns the element size More...
 
unsafe string ElementType [get, set]
 Returns or sets the elem type name. More...
 
unsafe bool FlipDiagonals [get, set]
 Returns or sets the flip diagonals option More...
 
unsafe bool FormatMesh [get, set]
 Returns or sets the format mesh option More...
 
unsafe double Jacobian [get, set]
 Returns or sets the jacobian More...
 
unsafe bool KeepFreeMeshes [get, set]
 Returns or sets the keep free meshes option More...
 
unsafe bool MergeEdges [get, set]
 Returns or sets the merge edges option More...
 
unsafe
NXOpen.CAE.MappedMeshBuilder.MidNodeType 
MidNodeOption [get, set]
 Returns or sets the mid node opt More...
 
unsafe bool ProjectVertices [get, set]
 Returns or sets the project vertices option More...
 
unsafe bool QuadOnlyMesh [get, set]
 Returns or sets the quad only mesh option More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
SelectionFace [get]
 Returns the selection face More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Mapped Mesh Builder.

Used to create a NXOpen.CAE.MappedMesh

To create a new instance of this class, use NXOpen.CAE.MeshManager.CreateMappedMeshBuilder

Created in NX5.0.0

Member Enumeration Documentation

Mid-node placement options

Enumerator
Mixed 

Mixed Option

Curved 

Curved Option

Straight 

Straight Option

Member Function Documentation

unsafe double NXOpen.CAE.MappedMeshBuilder.AutoSize ( )
inline

Auto-generated element size

Created in NX5.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
unsafe void NXOpen.CAE.MappedMeshBuilder.ChangeEdgeDensity ( NXOpen.NXObject  edge,
int  numberElements 
)
inline

Returns the edge density

Created in NX5.0.0

License requirements: None.

Parameters
edge
numberElements
unsafe void NXOpen.CAE.MappedMeshBuilder.ChangeEdgeDensityObject ( NXOpen.NXObject[]  pEdgeTags,
int  numberElements 
)
inline

Returns selected edge densities as one object

Created in NX12.0.0

License requirements: None.

Parameters
pEdgeTags
numberElements
unsafe NXOpen.NXObject [] NXOpen.CAE.MappedMeshBuilder.GetCornerData ( out NXOpen.NXObject  face)
inline

Returns the corner data

Created in NX5.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
face
Returns
unsafe void NXOpen.CAE.MappedMeshBuilder.PreviewMesh ( )
inline

Previews the mapped mesh for further edit.

After preview, corner definition is allowed.

Created in NX5.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe void NXOpen.CAE.MappedMeshBuilder.SetCornerData ( NXOpen.NXObject  face,
NXOpen.NXObject[]  vertexList 
)
inline

Sets the corner data.

Created in NX5.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
face
vertexList
unsafe void NXOpen.CAE.MappedMeshBuilder.SetCornerDataWithEdges ( NXOpen.NXObject  face,
int[]  start,
NXOpen.NXObject[]  edge 
)
inline

Sets the corner data using array of edges and int array consists of if user want start of an edge or an end of an edge.

This start of an edge map to the edge where 1 is start of an edge and 0 is end of an edge

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
face
start
edge

Property Documentation

unsafe bool NXOpen.CAE.MappedMeshBuilder.AttemptMultiblockDecompositionOption
getset

Returns or sets the mapped mesh multiblock option

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.MappedMeshBuilder.EccAuto
getset

Returns or sets the ECC automatic mode option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe string NXOpen.CAE.MappedMeshBuilder.EccName
getset

Returns or sets the ECC name

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.MappedMeshBuilder.EdgeMatchOption
getset

Returns or sets the edge match toggle

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe double NXOpen.CAE.MappedMeshBuilder.EdgeMatchTolerance
getset

Returns or sets the edge match tolerance

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe double NXOpen.CAE.MappedMeshBuilder.EdgeMergeAngle
getset

Returns or sets the edge merge angle

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe double NXOpen.CAE.MappedMeshBuilder.ElementSize
getset

Returns or sets the element size

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.MappedMeshBuilder.ElementSizeExpression
get

Returns the element size

Created in NX10.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe string NXOpen.CAE.MappedMeshBuilder.ElementType
getset

Returns or sets the elem type name.

This name is solver environment dependent. These are the same names that show up in the meshing dialogues. Refer to the release specific CAE user documentation to set a specific element name desired for a specific solver environment in a given release, refer to the release specific user manual

Created in NX5.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling")

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.MappedMeshBuilder.FlipDiagonals
getset

Returns or sets the flip diagonals option

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.MappedMeshBuilder.FormatMesh
getset

Returns or sets the format mesh option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe double NXOpen.CAE.MappedMeshBuilder.Jacobian
getset

Returns or sets the jacobian

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.MappedMeshBuilder.KeepFreeMeshes
getset

Returns or sets the keep free meshes option

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.MappedMeshBuilder.MergeEdges
getset

Returns or sets the merge edges option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.MappedMeshBuilder.MidNodeType NXOpen.CAE.MappedMeshBuilder.MidNodeOption
getset

Returns or sets the mid node opt

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.MappedMeshBuilder.ProjectVertices
getset

Returns or sets the project vertices option

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.MappedMeshBuilder.QuadOnlyMesh
getset

Returns or sets the quad only mesh option

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.CAE.MappedMeshBuilder.SelectionFace
get

Returns the selection face

Created in NX5.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.